
import pprint as pp

out = []

for a in range(3):
    l1 = []
    for b in range(4):
        l2 = []
        for x in range(2):
            l2.append(x)       ## [0 1]
        l1.append(l2)          ## [ [0 1]  [0 1]  [0 1] [0 1] ]
    out.append(l1)             ## 3 row of [ [0 1]  [0 1]  [0 1] [0 1] ]

pp.pprint(out)

